org.apache.lucene.analysis.bn

## Class BengaliNormalizer

- java.lang.Object
- - org.apache.lucene.analysis.bn.BengaliNormalizer

    public class BengaliNormalizer
    extends Object

Normalizer for Bengali.

Implements the Bengali-language specific algorithm specified in: A Double Metaphone encoding for Bangla and its application in spelling checker Naushad UzZaman and Mumit Khan. http://www.panl10n.net/english/final%20reports/pdf%20files/Bangladesh/BAN16.pdf

### Constructor Summary

Constructors
Constructor and Description
`BengaliNormalizer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `normalize(char[] s, int len)` Normalize an input buffer of Bengali text

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BengaliNormalizer

    public BengaliNormalizer()

### Method Detail

#### normalize

    public int normalize(char[] s,
                         int len)

Normalize an input buffer of Bengali text

Parameters:
  `s` - input buffer
  `len` - length of input buffer
Returns:
  length of input buffer after normalization